X-Git-Url: https://git.saurik.com/bison.git/blobdiff_plain/fa98bb3233f7f291d8efa2565288bc0597f92063..8a9283494b32bb45797ccaf443337a4e4682da98:/examples/test

diff --git a/examples/test b/examples/test
index d320a288..f77b8f41 100755
--- a/examples/test
+++ b/examples/test
@@ -1,6 +1,6 @@
 #! /bin/sh
 
-# Copyright (C) 2005-2012 Free Software Foundation, Inc.
+# Copyright (C) 2005-2013 Free Software Foundation, Inc.
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -54,9 +54,9 @@ run ()
   # Expected output.
   local out_exp=$1
   shift
-  $prog "$@" - <input >out_eff
   # Effective exit status.
-  local sta_eff=$?
+  local sta_eff=0
+  $prog "$@" - <input >out_eff || sta_eff=$?
   # Effective output.
   local out_eff=`cat out_eff`
   if test $sta_eff -eq $sta_exp; then